%define upstream_name MDV-Distribconf
%define upstream_version 4.100

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3
License:    GPL
Group:      Development/Perl
Summary:    Read and write config of a urpmi based distribution tree
Source0:    %{upstream_name}-%{upstream_version}.tar.xz
Url:        http://search.cpan.org/dist/%{upstream_name}

BuildArch:  noarch
BuildRequires:  perl-Config-IniFiles
BuildRequires:  perl-MDV-Packdrakeng

%description
MDV::Distribconf is a module to get/write the configuration of a urpmi
based distribution tree.

%package -n mdv-distrib-tools
Summary: Tools use to maintains a urpmi based distrib tree
Group: Development/Perl

%description -n mdv-distrib-tools
Tools use to maintains a urpmi based distrib tree.

This include:
- gendistrib (experimental)
- checkdistrib

%prep
%setup -n %{upstream_name}-%{upstream_version}


%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make


%install
%make_install

%files
%{_mandir}/*/MDV::Distribconf.*
%dir %{perl_vendorlib}/MDV/Distribconf
%{perl_vendorlib}/MDV/Distribconf.pm

%files -n mdv-distrib-tools
%_bindir/*
%{perl_vendorlib}/MDV/Distribconf/*
%{_mandir}/*/MDV::Distribconf::*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 4.100.0-3pclos2017
- rebuild against updates

